ExtensionInstallations

Uninstall an extension

Deletes the installation with its API key and webhook endpoint. Actions it took keep their attribution.

DELETE
/v1/extension-installations/{id}

Deletes the installation with its API key and webhook endpoint. Actions it took keep their attribution.

Authorization

apiKey
headerx-api-key<token>

Path Parameters

id*string
Match^exti_[0-9a-hjkmnp-tv-z]{16,24}$

Response Body

SuccessResponse

application/json
  1. response
success*boolean
Example Request
import { createClient } from "samva";const samva = createClient({ apiKey: process.env.SAMVA_API_KEY! });const result = await samva.extensionInstallations.uninstall({  "id": "example"});
Example Response
{  "success": true}

Related documentation